# Copyright (c) 2024 Project CHIP Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

name:
    19.15.2. [TC-APPOBSERVER-13.2] Content App Message Verification (DUT as
    Server)

PICS:
    - APPOBSERVER.S.F01

config:
    nodeId: 0x12344321
    cluster: "Content App Observer"
    endpoint: 1

    DataValue:
        type: char_string
        defaultValue: "exampleData"
    EncodingHintValue:
        type: char_string
        defaultValue: "Zoo"

tests:
    - label: "Step 1: Wait for the commissioned device to be retrieved"
      cluster: "DelayCommands"
      command: "WaitForCommissionee"
      arguments:
          values:
              - name: "nodeId"
                value: nodeId

    - label:
          "Step 2: TH sends a ContentAppMessage command to the DUT with dummy
          data and encodingHint strings"
      PICS: APPOBSERVER.S.C00.Rsp
      command: "ContentAppMessage"
      arguments:
          values:
              - name: "Data"
                value: DataValue
              - name: "EncodingHint"
                value: EncodingHintValue
      response:
          values:
              - name: "Status"
                value: 0
              - name: "Data"
                value: DataValue
              - name: "EncodingHint"
                value: EncodingHintValue
